/**
  * ---------------------------------------------------------------------------
  * ~k radix implementation // amethyst nanokernel project
  * ---------------------------------------------------------------------------
  * author: DG.Ward (elderK)
  * contact: 
  *   kyretzn@gmail.com
  *   comeherenightmare@hotmail.com
  *   warddg1@student.op.ac.nz
  *
  * date: May 15th, 2008.
  * version: 0.0.1
  * ---------------------------------------------------------------------------
  * All source herein is licensed under the Creative Commons : Attribution,
  * No Derivative Works license. For more information, please go to this
  * website: http://creativecommons.org/licenses/by-nd/3.0/
  * ---------------------------------------------------------------------------
  * This software is powered by NINE INCH NAILS :^)
  * ---------------------------------------------------------------------------
  *
  **/
#include "radix.h"

/**
  * release_node(node)
  *
  *     the alterego of create_node(). This call exists only to
  *     release the resources tied to the node passed.
  *
  *     NOTE: This will __NOT__ deallocate any data referenced
  *     by the node's ne_data or ne_identifier members!
  *
  *     The responsibility to deallocate bound data rests on the
  *     shoulders of the User.
  *
  **/
void
release_node(radix_node_t *node)
{
#ifdef __HOSTED__
    /* Set the node free! Run Willy, Run! */
    if(node)
        free(node);
#endif
}
